import { createStore, combineReducers, applyMiddleware } from 'redux'
import { routerReducer, routerMiddleware } from 'react-router-redux'
import createBrowserHistory from 'history/createBrowserHistory'

import { containers } from './containers'

const history = createBrowserHistory()

const rootReducer = combineReducers({
    containers,
    router: routerReducer
})

const RouterMiddleware = routerMiddleware(history)

const store = createStore(rootReducer, applyMiddleware(RouterMiddleware))

export {
    history,
    store
}